
User Interface - Bug #2752

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

ask-gui.p frame has scrollbars when it should not

10/09/2015 12:10 PM - Greg Shah

Status: Closed Start date: 10/09/2015

Priority: Normal Due date:  

Assignee: Constantin Asofiei % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

Related issues:

Related to User Interface - Bug #2704: large fill-in drawing differences Closed

History

#1 - 10/09/2015 12:11 PM - Greg Shah

- File ask-gui.p_in_progress_20151009.png added

- File ask-gui.p_frame_has_scrollbars_in_p2j_swing_20151009.png added

Use ask-gui.p to recreate.

P2J:

 

Progress:
#2 - 10/09/2015 12:12 PM - Greg Shah

Note that there are some other frame and widget sizing issues that may be related.  See #2704.

#3 - 10/15/2015 07:48 AM - Constantin Asofiei

- Status changed from New to WIP

- Assignee set to Constantin Asofiei
https://proj.goldencode.com/issues/2704


There is an interesting issue here: in P2J, the frame layout is done with a window size of 80 chars.  But in 4GL, the layout is done when the frame is

realized... so it will pick up the new window size and avoid the scrollbars.

The scrollbars remain only if the frame (in ask-gui.p) is realized before the window's width is set to 109.

#4 - 10/15/2015 09:42 AM - Constantin Asofiei

#2752 and #2704 are the same issue.  Fixed in 1811s rev 10969.

#5 - 10/15/2015 12:23 PM - Greg Shah

- Status changed from WIP to Closed

#6 - 11/10/2015 05:05 AM - Greg Shah

- % Done changed from 0 to 100

#7 - 11/16/2016 12:12 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App

Files

ask-gui.p_frame_has_scrollbars_in_p2j_swing_20151009.png 5.22 KB 10/09/2015 Greg Shah

ask-gui.p_in_progress_20151009.png 5.23 KB 10/09/2015 Greg Shah

Powered by TCPDF (www.tcpdf.org)

05/03/2024 3/3

https://proj.goldencode.com/issues/2752
https://proj.goldencode.com/issues/2704
http://www.tcpdf.org

